Ipelib: ipe::Gradient Struct Reference

Ipelib

Classes | Public Types | Public Attributes | List of all members
ipe::Gradient Struct Reference
Ipe Attributes

`#include <ipeattributes.h>`

## Classes
struct | Stop

## Public Types
enum | TType { EAxial = 2, ERadial = 3 }

## Public Attributes
TType | iType
Vector | iV [2]
double | iRadius [2]
bool | iExtend
Matrix | iMatrix
std::vector< Stop > | iStops

## Detailed Description

A gradient pattern.

## Member Enumeration Documentation

## ◆ TType

enum ipe::Gradient::TType

There are two types of gradients, along an axis or between two circles.

Enumerator
EAxial |
ERadial |

## Member Data Documentation

## ◆ iType

TType ipe::Gradient::iType

The type of gradient: axial or radial.

Referenced by ipe::CairoPainter::doDrawPath(), ipe::PdfPainter::doDrawSymbol(), ipe::ImlParser::parseStyle(), and ipe::StyleSheet::saveAsXml().

## ◆ iV

Vector ipe::Gradient::iV[2]

The coordinates of the axis endpoints, or the two circle centers.

Referenced by ipe::CairoPainter::doDrawPath(), ipe::PdfPainter::doDrawSymbol(), ipe::ImlParser::parseStyle(), and ipe::StyleSheet::saveAsXml().

## ◆ iRadius

double ipe::Gradient::iRadius[2]

The radii of the two circles (not used for axial gradients).

Referenced by ipe::CairoPainter::doDrawPath(), ipe::PdfPainter::doDrawSymbol(), ipe::ImlParser::parseStyle(), and ipe::StyleSheet::saveAsXml().

## ◆ iExtend

bool ipe::Gradient::iExtend

Whether to extend the gradient beyond the endpoints.

Referenced by ipe::CairoPainter::doDrawPath(), ipe::PdfPainter::doDrawSymbol(), ipe::ImlParser::parseStyle(), and ipe::StyleSheet::saveAsXml().

## ◆ iMatrix

Matrix ipe::Gradient::iMatrix

Gradient transformation.

Referenced by ipe::PdfPainter::doDrawPath(), ipe::CairoPainter::doDrawPath(), ipe::ImlParser::parseStyle(), and ipe::StyleSheet::saveAsXml().

## ◆ iStops

std::vector<Stop> ipe::Gradient::iStops

The color stops.

Referenced by ipe::CairoPainter::doDrawPath(), ipe::PdfPainter::doDrawSymbol(), ipe::ImlParser::parseStyle(), and ipe::StyleSheet::saveAsXml().

The documentation for this struct was generated from the following file:

- ipeattributes.h